#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 4.12.4
id: free-4.12.4-Jg96zolWYJa3X3zzp8DnHv
key: free-4.12.4-Jg96zolWYJa3X3zzp8DnHv
license: BSD3
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
indefinite: False
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Final
    Control.Applicative.Trans.Free Control.Comonad.Cofree
    Control.Comonad.Cofree.Class Control.Comonad.Trans.Cofree
    Control.Comonad.Trans.Coiter Control.Monad.Free
    Control.Monad.Free.Church Control.Monad.Free.Class
    Control.Monad.Free.TH Control.Monad.Trans.Free
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
abi: dd067b774c9b12c6b4ddd7f8396df35d
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/free-4.12.4
library-dirs: /usr/lib/ghc-8.2.1/site-local/free-4.12.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/free-4.12.4
hs-libraries: HSfree-4.12.4-Jg96zolWYJa3X3zzp8DnHv
depends:
    base-4.10.0.0 bifunctors-5.4.2-EkvLHEGusmL2QBUCGZ7PSE
    comonad-5.0.2-AAFyIh6Dm39islDxts6T3
    distributive-0.5.3-99ryfobDi0e5qzYasSVH5G
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv
    profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0
    semigroupoids-5.2.1-BrFpsm3Xb4SLTmLSosQvtp
    semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP transformers-0.5.2.0
    transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v
    template-haskell-2.12.0.0 exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    containers-0.5.10.2
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             bifunctors-5.4.2-EkvLHEGusmL2QBUCGZ7PSE=9b3f7bc028399697ef969074e342f279
             comonad-5.0.2-AAFyIh6Dm39islDxts6T3=c6d24660cfb0bb620d495558f3d3543d
             distributive-0.5.3-99ryfobDi0e5qzYasSVH5G=34dbb4e9db90c5fcb893ff6b427808e0
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=14e57a3b735adfe06c357bcc64de3dbd
             prelude-extras-0.4.0.3-E2TUDUJSI3wDl8mkUzsaKv=f1cbc78482e31abf5951ad6fbd370443
             profunctors-5.2.1-tcGHrJuwpB2Qib1uMFFo0=19db51b7ef0cb6fa8e674391c0446c14
             semigroupoids-5.2.1-BrFpsm3Xb4SLTmLSosQvtp=bdfa5866cc56e480e7a8a405de65eb0f
             semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP=aad58cc65045b8e62f1806217258d930
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v=cbaa4957cb14b8a9e85ebeab0ab7d6ba
             template-haskell-2.12.0.0=84fec1eab31df12231c00a687a39fdc3
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=e190029673d5410544b32623a0e81f5f
             containers-0.5.10.2=e51b78cedb073051e10b1c1314421145
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

